---
title: BaseAudioContext.audioWorklet
slug: Web/API/BaseAudioContext/audioWorklet
tags:
  - API
  - Audio
  - AudioContext
  - AudioWorklet
  - BaseAudioContext
  - Property
  - Reference
  - Web Audio API
  - Worklet
---
<p>{{ APIRef("Web Audio API") }}{{securecontext_header}}</p>

<div>
<p><span class="seoSummary">The <code>audioWorklet</code> read-only property of the {{domxref("BaseAudioContext")}} interface returns an instance of {{domxref("AudioWorklet")}} that can be used for adding {{domxref("AudioWorkletProcessor")}}-derived classes which implement custom audio processing.</span></p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>baseAudioContextInstance</em>.audioWorklet;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("AudioWorklet")}} instance.</p>

<h2 id="Examples">Examples</h2>

<p><em>For a complete example demonstrating user-defined audio processing, see the {{domxref("AudioWorkletNode")}} page.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-baseaudiocontext-audioworklet', 'audioWorklet')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.BaseAudioContext.audioWorklet")}}</p>
</div>
</div>

<h2 id="See_also">See also:</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using Web Audio API</a></li>
 <li>{{domxref("AudioWorkletNode")}}</li>
</ul>
